Core - Bug # 56700

Task # 51436 (Resolved): Standalone unit test runner

Status: Resolved Priority: Should have
Author: Anja Leichsenring Category: Unit/Functional Tests
Created: 2014-03-10 Assigned To: Anja Leichsenring
Updated: 2014-03-15 Due date:

TYPOS3 Version: 6.2

PHP Version: 54

Complexity: medium

Is Regression: No

Sprint Focus:

Subject: Tests: Improve Mocking in ext:extbase

Description

Associated revisions

Revision 6695000d - 2014-03-10 01:08 - Anja Leichsenring

[BUGFIX] Tests: Improve Mocking in ext:extbase

Change-Id: 161f7f92da42d691b0556f1e53b20d39eb082c12f
Resolves: #56700

Related: #51436

Releases: 6.2

Reviewed-on: https://review.typo3.org/28207

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 6741ab10 - 2014-03-13 22:29 - Anja Leichsenring

[BUGFIX] Tests: Improve Mocking in ext:extbase

Unittests reveal some warnings which are caused by incomplete mocking.

Change-Id: 1ee09220d675335aeadd286¢c2d4544d53c981016f

Resolves: #56700

Related: #51436

Releases: 6.2
Reviewed-on: https://review.typo3.0rg/28365

Reviewed-by: Wouter Wolters

Tested-by: Wouter Wolters

Reviewed-by: Christian Kuhn

Tested-by: Christian Kuhn

Revision dbf686f3 - 2014-03-14 08:58 - Anja Leichsenring

[BUGFIX] Tests: improve Mocking in ext:extbase

Unittests reveal some warnings which are caused by incomplete mocking.
Change-Id: 142089bb6c9016187d83382a2fa10450310993a84
Resolves: #56700

Related: #51436

Releases: 6.2

Reviewed-on: https://review.typo3.org/28370

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision ffbde247 - 2014-03-15 13:00 - Anja Leichsenring

[BUGFIX] Tests: Improve mocking in ext:extbase

Unit tests reveal some warnings which are caused by incomplete
mocking. They all belong to $GLOBALS['LANG"]

Change-Id: Ic2adda9984a530b82e259¢1d8931015996f167ba
Resolves: #56700

Related: #51436

Releases: 6.2

Reviewed-on: https://review.typo3.0rg/28407

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History

#1 - 2014-03-10 00:41 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28207

#2 - 2014-03-10 00:50 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28207

#3 - 2014-03-10 01:30 - Anja Leichsenring
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6695000d764fb3b989b2278b64107{889bd44e15.

#4 - 2014-03-13 22:09 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28365

#5 - 2014-03-13 22:30 - Anja Leichsenring
- Status changed from Under Review to Resolved

Applied in changeset commit:6741ab10b07f8d04a59ec6a1c23c2d09e23f0f5¢.

#6 - 2014-03-13 23:32 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28370

#7 - 2014-03-14 08:56 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28370

#8 - 2014-03-14 09:30 - Anja Leichsenring
- Status changed from Under Review to Resolved

Applied in changeset commit:dbf686f3315243bc2a15b99c34eccealfdbd4e55.

#9 - 2014-03-15 00:03 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28407

#10 - 2014-03-15 10:41 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28407

#11 - 2014-03-15 11:32 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28407

#12 - 2014-03-15 12:27 - Gerrit Code Review
Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28407

#13 - 2014-03-15 12:59 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28407

#14 - 2014-03-15 13:30 - Anja Leichsenring
- Status changed from Under Review to Resolved

Applied in changeset commit:ffode247c4ea6311518e0bade70e4187621f0d8c.
